var winSearch = Titanium.UI.createWindow({  
    title:'List',
    backgroundColor:'#fff',
    navBarHidden:true,
    orientationModes: orientation
});
winSearch.addEventListener('focus',function(){
	tracker.trackScreen("Búsqueda");
});

winSearch.addEventListener('open',function(){
	var header=functions.getHeader(winSearch,L('search'));
	winSearch.add(header);
	
	var swinLeft = Ti.UI.createScrollView ({
		showVerticalScrollIndicator:false,
		top: functions.getHeightHeader(),
		bottom: functions.getHeightHeader()*1.2,
		layout: 'vertical',
		width: oswidth*0.4,
		left: unpelin
	});
	
	var swinRight = Ti.UI.createScrollView ({
        showVerticalScrollIndicator:false,
        top: functions.getHeightHeader(),
        bottom: functions.getHeightHeader()*1.2,
        layout: 'vertical',
        width: oswidth*0.4,
        right: unpelin
    });
	
	var height_row=osheight*0.08;	//Dividimos la pantalla en 8 filas
	
	var viewKwLabel = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinLeft.add(viewKwLabel);
	
	var lblKw = Ti.UI.createLabel({
		left: unpelin,
		color: config.style.color6,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		text: L('keyword'),
	});
	viewKwLabel.add(lblKw);
	
	var viewKwField = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinLeft.add(viewKwField);
	
	var txtKw = Titanium.UI.createTextField({
	    width:oswidth*0.4,
		height:height_row*0.95,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		hintText: L('keyword'),
		color: config.style.titulo,
		backgroundImage: 'none',
		borderColor: config.style.color6,
		borderWidth: 1,
		borderRadius:5,
		value: Ti.App.Properties.getString('text'),
		visible: false,
		bubbleParent: false
	});
	viewKwField.add(txtKw);
	setTimeout(function(){
		txtKw.show();
	},100);
	
	var viewCategoryLabel = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinLeft.add(viewCategoryLabel);
	
	var lblCategory = Ti.UI.createLabel({
		left: unpelin,
		color: config.style.color6,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		text: L('category'),
	});
	viewCategoryLabel.add(lblCategory);
	
	var viewCategoryBtn = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinLeft.add(viewCategoryBtn);
	
	var btnCategory = Titanium.UI.createButton({
	    width:oswidth*0.4,
		height:height_row*0.95,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		title: L('todas'),
		color: config.style.titulo,
		backgroundImage: 'none',
		borderColor: config.style.color6,
		borderWidth: 1,
		borderRadius:5,
		value: null
	});
	if (Ti.App.Properties.getString('category')){
	    btnCategory.value=Ti.App.Properties.getString('category');
	    //Buscamos el nombre de la categoría
	    var total_categories=categories.length;
	    for(c=0;c<total_categories;c++){
	        if (ids_categories[c].toString()==btnCategory.value.toString()){
	            btnCategory.title=categories[c];
	        }
	    }
	}
	viewCategoryBtn.add(btnCategory);
	btnCategory.addEventListener('click',function(e){
	    e.source.backgroundColor=config.style.titulo;
        setTimeout(function(){
            e.source.backgroundColor='transparent';
        },200);
		dialog_categories.show();
	});
	
	var viewCountryLabel = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinRight.add(viewCountryLabel);
	
	var lblCountry = Ti.UI.createLabel({
		left: unpelin,
		color: config.style.color6,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		text: L('country'),
	});
	viewCountryLabel.add(lblCountry);
	
	var viewCountryBtn = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinRight.add(viewCountryBtn);
	
	var btnCountry = Titanium.UI.createButton({
	    width:oswidth*0.4,
		height:height_row*0.95,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		title: L('todos'),
		color: config.style.titulo,
		backgroundImage: 'none',
		borderColor: config.style.color6,
		borderWidth: 1,
		borderRadius:5,
		value: null
	});
	viewCountryBtn.add(btnCountry);
	btnCountry.addEventListener('click',function(e){
	    e.source.backgroundColor=config.style.titulo;
        setTimeout(function(){
            e.source.backgroundColor='transparent';
        },200);
		if (dialog_countries.options.length>0) dialog_countries.show();
	});
	
	var viewRegionLabel = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinRight.add(viewRegionLabel);
	
	var lblRegion = Ti.UI.createLabel({
		left: unpelin,
		color: config.style.color6,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		text: L('region'),
	});
	viewRegionLabel.add(lblRegion);
	
	var viewRegionBtn = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinRight.add(viewRegionBtn);
	
	var btnRegion = Titanium.UI.createButton({
	    width:oswidth*0.4,
		height:height_row*0.95,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		title: L('todas'),
		color: config.style.titulo,
		backgroundImage: 'none',
		borderColor: config.style.color6,
		borderWidth: 1,
		borderRadius:5,
		value: null
	});
	viewRegionBtn.add(btnRegion);
	btnRegion.addEventListener('click',function(e){
	    e.source.backgroundColor=config.style.titulo;
        setTimeout(function(){
            e.source.backgroundColor='transparent';
        },200);
		if (dialog_regions.options.length>0)  dialog_regions.show();
	});
	
	var loading_region=functions.loading();
	viewRegionBtn.add(loading_region);
	loading_region.right=null;
	
	var viewZoneLabel = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinRight.add(viewZoneLabel);
	
	var lblZone = Ti.UI.createLabel({
		left: unpelin,
		color: config.style.color6,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		text: L('zone'),
	});
	viewZoneLabel.add(lblZone);
	
	var viewZoneBtn = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinRight.add(viewZoneBtn);
	
	var btnZone = Titanium.UI.createButton({
	    width:oswidth*0.4,
		height:height_row*0.95,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		title: L('todas'),
		color: config.style.titulo,
		backgroundImage: 'none',
		borderColor: config.style.color6,
		borderWidth: 1,
		borderRadius:5,
		value: null
	});
	viewZoneBtn.add(btnZone);
	btnZone.addEventListener('click',function(e){
	    e.source.backgroundColor=config.style.titulo;
        setTimeout(function(){
            e.source.backgroundColor='transparent';
        },200);
		if (dialog_zones.options.length>0) dialog_zones.show();
	});
	
	var loading_zone=functions.loading();
	viewZoneBtn.add(loading_zone);
	loading_zone.right=null;
	
	var viewRadioLabel = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinLeft.add(viewRadioLabel);
	
	var lblRadio = Ti.UI.createLabel({
		left: unpelin,
		color: config.style.color6,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		text: L('radio'),
	});
	viewRadioLabel.add(lblRadio);
	
	var viewRadioBtn = Ti.UI.createView({
		backgroundColor:'#FFFFFF',
		height: height_row,
	});
	swinLeft.add(viewRadioBtn);
	
	var btnRadio = Titanium.UI.createButton({
	    width:oswidth*0.4,
		height:height_row*0.95,
		font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
		title: '10 km',
		color: config.style.titulo,
		backgroundImage: 'none',
		borderColor: config.style.color6,
		borderWidth: 1,
		borderRadius:5,
		value: 10
	});
	viewRadioBtn.add(btnRadio);
	btnRadio.addEventListener('click',function(e){
	    e.source.backgroundColor=config.style.titulo;
        setTimeout(function(){
            e.source.backgroundColor='transparent';
        },200);
		dialog_radio.show();
	});
	
	var viewSearch = Ti.UI.createView({
		height: functions.getHeightHeader(),
		bottom: 0,
		backgroundColor: config.style.titulo,
	});
	winSearch.add(viewSearch);
	
	var btnSearch = Titanium.UI.createButton({
	    color: config.style.titulo,
		backgroundColor: '#FFFFFF',
		backgroundImage: 'none',
		borderRadius:0,
		width: oswidth/2.5,
		height: viewSearch.height*0.7,
		title: L('search'),
		textAlign:'center',
        borderRadius:5,
        font: { fontSize:'20dp',fontWeight:'bold',fontFamily:'Trebuchet MS'},
	});
	viewSearch.add(btnSearch);
	btnSearch.addEventListener('click',function(e){
	    e.source.opacity=0.5;
        setTimeout(function(){
            e.source.opacity=1;
        },200);
		if (!functions.isset(btnCountry.value)){
			alert(L('select_country'));
			return;
		}
		winList.params={
						text: txtKw.value,
						category:btnCategory.value,
						country:btnCountry.value,
						region:btnRegion.value,
						zone:btnZone.value,
						radio:btnRadio.value,
						page: 1,
						search: true
						};
		Ti.App.Properties.setString('category', btnCategory.value);
		Ti.App.Properties.setString('country', btnCountry.value);
		Ti.App.Properties.setString('region', btnRegion.value);
		Ti.App.Properties.setString('zone', btnZone.value);
		Ti.App.Properties.setString('radio', btnRadio.value);
		Ti.App.Properties.setString('text', txtKw.value);
		setTimeout(function(){
		    winList.open({animated:false});
		},100);
		
		if (functions.isset(btnCategory.value)){
			tracker.trackEvent({
				category: btnCategory.title,
				action: "Buscar",
				label: btnCategory.title,
				value: 1
			});
		}
		if (functions.isset(btnCountry.value)){
			tracker.trackEvent({
				category: btnCountry.title,
				action: "Buscar",
				label: btnCountry.title,
				value: 1
			});
		}
		if (functions.isset(btnRegion.value)){
			tracker.trackEvent({
				category: btnRegion.title,
				action: "buscar",
				label: btnRegion.title,
				value: 1
			});
		}
	});
	
	if (Ti.Geolocation.locationServicesEnabled) {
        Titanium.Geolocation.purpose = 'GPS';
        Titanium.Geolocation.getCurrentPosition(function(e) {
            if (e.error){
                //Nothing to do
            }else{
                session.longitud = e.coords.longitude;
                session.latitud = e.coords.latitude;
                
                btnSearch.right=unpelin;
                btnSearch.width=oswidth*0.45;
                
                var btnNearby = Titanium.UI.createButton({
                    color: config.style.titulo,
                    backgroundColor: '#FFFFFF',
                    backgroundImage: 'none',
                    borderRadius:0,
                    width: oswidth*0.45,
                    height: viewSearch.height*0.7,
                    title: L('browse_ads_nearby'),
                    textAlign:'center',
                    borderRadius:5,
                    opacity: 0.7,
                    left: unpelin
                });
                viewSearch.add(btnNearby);
                btnNearby.addEventListener('click',function(e){
                    e.source.opacity=0.3;
                    setTimeout(function(){
                        e.source.opacity=0.7;
                    },200);
                    winList.params={
                            text: txtKw.value,
                            category:btnCategory.value,
                            country:'',
                            region:'',
                            zone:'',
                            radio:'',
                            page: 1,
                            search: false
                    };
                    Ti.App.Properties.setString('category', btnCategory.value);
                    Ti.App.Properties.setString('text', txtKw.value);
                    setTimeout(function(){
                        winList.open({animated:false});
                    },100);
                    
                    tracker.trackEvent({
                        category: "Búsqueda",
                        action: "Anuncios cercanos",
                        label: btnCategory.value,
                        value: 1
                    });
                });
            }
        });
    }
	
	
	var dialog_categories= Titanium.UI.createOptionDialog({
		
	    title: L('category'),
	    options: categories,
	    ids: ids_categories,
	});
	dialog_categories.addEventListener('click',function(e){
		btnCategory.title=dialog_categories.options[e.index];
		btnCategory.value=dialog_categories.ids[e.index];
	});
	
	var dialog_countries= Titanium.UI.createOptionDialog({
		
	    title: L('radio'),
	    options: countries,
	    ids: ids_countries,
	});
	dialog_countries.addEventListener('click',function(e){
		btnCountry.title=dialog_countries.options[e.index];
		btnCountry.value=dialog_countries.ids[e.index];
		
		loading_region.show();
		btnRegion.title='';
		dialog_regions.options=[];
		dialog_regions.ids=[];
		
		//Getting regions
		var data={	countries_id:btnCountry.value,
					type: 'json'
					};
		var url=host+"location/get-region-list.php";
		
		var xhr = Ti.Network.createHTTPClient({
		    onload: function() {
				json = JSON.parse(this.responseText);
				var total_regions=json.length;
				var regions=[];
				var ids_regions=[];
				for (i = 0; i < total_regions; i++) {
					regions.push(Encoder.htmlDecode(json[i].name));
					ids_regions.push(json[i].id);
			    }
			    dialog_regions.options=regions;
			    dialog_regions.ids=ids_regions;
			    loading_region.hide();
				btnRegion.title=L('todas');
		    },
		    onerror: function(e) {
				Ti.API.debug("STATUS: " + this.status);
				Ti.API.debug("TEXT:   " + this.responseText);
				Ti.API.debug("ERROR:  " + e.error);
				//alert(L('no_inet'));
				loading_region.hide();
				btnRegion.title=L('todas');
				btnRegion.value=null;
		    },
		    timeout:20000
		});
		try{
           xhr.open("POST",url, true);
           xhr.send(data);
        }catch(e){
            loading_region.hide();
            btnRegion.title=L('todas');
            btnRegion.value=null;
        }
	});
	
	var dialog_regions= Titanium.UI.createOptionDialog({
		
	    title: L('region'),
	    options: [L('all')],
	    ids: ['0'],
	});
	dialog_regions.addEventListener('click',function(e){
		btnRegion.title=dialog_regions.options[e.index];
		btnRegion.value=dialog_regions.ids[e.index];
		//Getting regions
		var data={	regions_id:btnRegion.value,
					type: 'json'
					};
		var url=host+"location/get-zone-list.php";
		
		loading_zone.show();
		btnZone.title='';
		dialog_zones.options=[];
		dialog_zones.ids=[];
		
		var xhr = Ti.Network.createHTTPClient({
		    onload: function() {
				json = JSON.parse(this.responseText);
				var total_zones=json.length;
				var zones=[];
				var ids_zones=[];
				for (i = 0; i < total_zones; i++) {
					zones.push(Encoder.htmlDecode(json[i].name));
					ids_zones.push(json[i].id);
			    }
			    dialog_zones.options=zones;
			    dialog_zones.ids=ids_zones;
			    loading_zone.hide();
				btnZone.title=L('todas');
		    },
		    onerror: function(e) {
				Ti.API.debug("STATUS: " + this.status);
				Ti.API.debug("TEXT:   " + this.responseText);
				Ti.API.debug("ERROR:  " + e.error);
				//alert(L('no_inet'));
				loading_zone.hide();
				btnZone.title=L('todas');
				btnZone.value=null;
		    },
		    timeout:20000
		});
		try{
           xhr.open("POST",url, true);
           xhr.send(data);
        }catch(e){
            loading_zone.hide();
            btnZone.title=L('todas');
            btnZone.value=null;
        }
	});
	
	var dialog_zones = Titanium.UI.createOptionDialog({
		
	    title: L('zone'),
	    options: [L('all')],
	    ids: [''],
	});
	dialog_zones.addEventListener('click',function(e){
		btnZone.title=dialog_zones.options[e.index];
		btnZone.value=dialog_zones.ids[e.index];
	});
	
	
	var dialog_radio = Titanium.UI.createOptionDialog({
		
	    title: L('radio'),
	    options: ['10 km','20 km','30 km','40 km','50 km','60 km','70 km','80 km','90 km','100 km'],
	    ids: [10,20,30,40,50,60,70,80,90,100],
	});
	dialog_radio.addEventListener('click',function(e){
		btnRadio.title=dialog_radio.options[e.index];
		btnRadio.value=dialog_radio.ids[e.index];
	});
	
	setTimeout(function(){
		//Countries
		if (Ti.App.Properties.getString('country')){
			Ti.API.info('Tengo country: '+Ti.App.Properties.getString('country'));
			var tot_countries=countries.length;
			for(c=0;c<tot_countries;c++) if (ids_countries[c]==Ti.App.Properties.getString('country')) btnCountry.title=countries[c];
			btnCountry.value=Ti.App.Properties.getString('country');
			
			loading_region.show();
			btnRegion.title='';
			dialog_regions.options=[];
			dialog_regions.ids=[];
			
			//Getting regions
			var data={	countries_id:btnCountry.value,
						type: 'json'
						};
			var url=host+"location/get-region-list.php";
			
			var xhr = Ti.Network.createHTTPClient({
			    onload: function() {
					json = JSON.parse(this.responseText);
					var total_regions=json.length;
					var regions=[];
					var ids_regions=[];
					btnRegion.value=null;
					btnRegion.title=L('todas');
					for (i = 0; i < total_regions; i++) {
						regions.push(Encoder.htmlDecode(json[i].name));
						ids_regions.push(json[i].id);
						if (Ti.App.Properties.getString('region') && Ti.App.Properties.getString('region')==json[i].id){
							btnRegion.title=Encoder.htmlDecode(json[i].name);
							btnRegion.value=Ti.App.Properties.getString('region');
						}
				    }
				    dialog_regions.options=regions;
				    dialog_regions.ids=ids_regions;
				    loading_region.hide();
					
					if (Ti.App.Properties.getString('region')){
						Ti.API.info('Tengo Region: '+Ti.App.Properties.getString('region'));
						//Getting zones
						var data={	regions_id:btnRegion.value,
									type: 'json'
									};
						var url=host+"location/get-zone-list.php";
						
						loading_zone.show();
						btnZone.title='';
						
						dialog_zones.options=[];
						dialog_zones.ids=[];
						
						var xhr = Ti.Network.createHTTPClient({
						    onload: function() {
								json = JSON.parse(this.responseText);
								var total_zones=json.length;
								var zones=[];
								var ids_zones=[];
								btnZone.value=null;
                                btnZone.title=L('todas');
								for (i = 0; i < total_zones; i++) {
									zones.push(Encoder.htmlDecode(json[i].name));
									ids_zones.push(json[i].id);
									if (Ti.App.Properties.getString('zone') && Ti.App.Properties.getString('zone')==json[i].id){
										btnZone.title=Encoder.htmlDecode(json[i].name);
										btnZone.value=Ti.App.Properties.getString('zone');
									}
							    }
							    dialog_zones.options=zones;
							    dialog_zones.ids=ids_zones;
							    loading_zone.hide();
						    },
						    onerror: function(e) {
								Ti.API.debug("STATUS: " + this.status);
								Ti.API.debug("TEXT:   " + this.responseText);
								Ti.API.debug("ERROR:  " + e.error);
								alert(L('no_inet'));
								loading_zone.hide();
								btnZone.title=L('todas');
								btnZone.value=null;
						    },
						    timeout:40000
						});
						try{
                           xhr.open("POST",url, true);
                           xhr.send(data);
                        }catch(e){
                            alert(L('no_inet'));
                            loading_zone.hide();
                            btnZone.title=L('todas');
                            btnZone.value=null;
                        }
					}
			    },
			    onerror: function(e) {
					Ti.API.debug("STATUS: " + this.status);
					Ti.API.debug("TEXT:   " + this.responseText);
					Ti.API.debug("ERROR:  " + e.error);
					alert(L('no_inet'));
					loading_region.hide();
					btnRegion.title=L('todas');
					btnRegion.value=null;
			    },
			    timeout:20000
			});
			try{
               xhr.open("POST",url, true);
               xhr.send(data);
            }catch(e){
                alert(L('no_inet'));
                loading_region.hide();
                btnRegion.title=L('todas');
                btnRegion.value=null;
            }
		}
	},500);
	
	winSearch.add(swinLeft);
    winSearch.add(swinRight);
});